<?php
/**
 * All the core functions for checkout
 *
 * @package Live Composer - WooCommerce integration
 */

// Prevent direct access to the file.
if ( ! defined( 'ABSPATH' ) ) {
	header( 'HTTP/1.0 403 Forbidden' );
	exit;
}

/**
 * Add CSS and Script on Production
 */
function lcwoo_checkout_add_style_and_scripts() {

	global $wp;

	wp_enqueue_style( 'lcwoo-checkout-style', LCWOO_INTEGRATION_PLUGIN_URL . 'includes/checkout/css/style.css', array(), LCWOO_INTEGRATION_PLUGIN_VER );

	if ( isset( $wp->query_vars['order-received'] ) || isset( $wp->query_vars['order-pay'] ) ) {
		wp_enqueue_style( 'lcwoo-checkout-endpoints-style', LCWOO_INTEGRATION_PLUGIN_URL . 'includes/checkout/css/endpoints/style.css', array(), LCWOO_INTEGRATION_PLUGIN_VER );
	}
}
add_action( 'wp_enqueue_scripts', 'lcwoo_checkout_add_style_and_scripts' );

/**
 * Modules for Checkout
 */
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/checkout/modules/checkout/module.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/checkout/modules/order-tracking/module.php' );
