<?php
/**
 * All the core functions for product
 *
 * @package Live Composer - WooCommerce integration
 */

// Prevent direct access to the file.
if ( ! defined( 'ABSPATH' ) ) {
	header( 'HTTP/1.0 403 Forbidden' );
	exit;
}

/**
 * Add CSS and Script
 */
function lcwoo_product_add_style_and_scripts() {

	wp_enqueue_style( 'lcwoo-product-style', LCWOO_INTEGRATION_PLUGIN_URL . 'includes/product/css/style.css', array(), LCWOO_INTEGRATION_PLUGIN_VER );
}
add_action( 'wp_enqueue_scripts', 'lcwoo_product_add_style_and_scripts' );

/**
 * Modules for Product
 */
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/product/modules/add-to-cart/module.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/product/modules/breadcrumbs/module.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/product/modules/excerpt/module.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/product/modules/image/module.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/product/modules/meta/module.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/product/modules/mini-cart/module.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/product/modules/price/module.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/product/modules/rating/module.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/product/modules/related/module.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/product/modules/sale-flash/module.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/product/modules/tabs/module.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/product/modules/title/module.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/product/modules/up-sells/module.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/product/modules/view-cart/module.php' );
