<?php
/**
 * All the core functions for shop
 *
 * @package Live Composer - WooCommerce integration
 */

// Prevent direct access to the file.
if ( ! defined( 'ABSPATH' ) ) {
	header( 'HTTP/1.0 403 Forbidden' );
	exit;
}

/**
 * Add CSS and Script
 */
function lcwoo_shop_add_style_and_script() {

	wp_enqueue_style( 'lcwoo-shop-style', LCWOO_INTEGRATION_PLUGIN_URL . 'includes/shop/css/style.css', array(), LCWOO_INTEGRATION_PLUGIN_VER );
}
add_action( 'wp_enqueue_scripts', 'lcwoo_shop_add_style_and_script' );

/**
 * Include required core files
 */
// require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/shop/inc/listing.php' );

/**
 * Modules for Shop
 */
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/shop/modules/listing/module.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/shop/modules/recent-products/module.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/shop/modules/featured-products/module.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/shop/modules/products/module.php' );

