<?php
/**
 * Add design page - Cart
 *
 * @package Live Composer - WooCommerce integration
 */

// Prevent direct access to the file.
if ( ! defined( 'ABSPATH' ) ) {
	header( 'HTTP/1.0 403 Forbidden' );
	exit;
}

add_post_meta( $woo_cart_page_id, 'dslc_code', '[{"show_on":"desktop tablet phone","type":"wrapper","columns_spacing":"spacing","bg_color":"","bg_image_thumb":"disabled","dslca-img-url":"","bg_image":"","bg_image_repeat":"repeat","bg_image_position":"left top","bg_image_attachment":"scroll","bg_image_size":"auto","bg_video":"","bg_video_overlay_color":"#000000","bg_video_overlay_opacity":"0","border_color":"","border_width":"0","border_style":"solid","border":"top right bottom left","margin_h":"0","margin_b":"0","padding":"80","padding_h":"0","custom_class":"","custom_id":"","element_type":"row","content":[{"element_type":"module_area","last":"yes","first":"no","size":"12","content":[{"css_show_on":"desktop tablet phone","css_general_border_width":"0","css_general_border_trbl":"top right bottom left","css_general_padding_vertical":"0","css_general_padding_horizontal":"0","css_general_margin_bottom":"0","css_table_general_bg_color":"#F3F3F3","css_table_general_border_color":"#ECECEC","css_table_general_border_width":"1","css_table_general_border_trbl":"top right bottom left","css_table_general_margin_bottom":"50","css_table_title_border_width":"0","css_table_title_border_trbl":"top right bottom left","css_table_title_color":"#60646C","css_table_title_font_size":"15","css_table_title_font_weight":"500","css_table_title_font_family":"Roboto","css_table_title_line_height":"24","css_table_title_text_transform":"uppercase","css_table_title_padding_vertical":"0","css_table_title_padding_horizontal":"0","css_table_column_width_remove":"6","css_table_column_width_thumbnail":"29","css_table_column_width_name":"0","css_table_column_width_price":"15","css_table_column_width_quantity":"18","css_table_column_width_total":"15","css_table_button_remove_font_size":"14","css_table_button_remove_line_height":"18","css_table_button_remove_padding_vertical":"0","css_table_button_remove_padding_horizontal":"20","css_table_button_remove_width":"20","css_table_button_remove_height":"20","css_table_image_border_color":"#ffffff","css_table_image_border_width":"4","css_table_image_border_trbl":"top right bottom left","css_table_image_border_radius":"0","css_table_image_width":"25","css_table_image_padding_vertical":"15","css_table_image_padding_horizontal":"30","css_table_name_color":"#000000","css_table_name_font_size":"15","css_table_name_font_weight":"500","css_table_name_font_family":"Roboto","css_table_name_line_height":"24","css_table_name_text_transform":"none","css_table_name_padding_vertical":"0","css_table_name_padding_horizontal":"0","css_table_name_variation_dt_color":"#60646C","css_table_name_variation_dd_color":"#60646C","css_table_name_variation_dt_font_size":"15","css_table_name_variation_dd_font_weight":"300","css_table_name_variation_font_weight":"500","css_table_name_variation_font_family":"Roboto","css_table_name_variation_line_height":"24","css_table_price_color":"#60646C","css_table_price_font_size":"15","css_table_price_font_weight":"300","css_table_price_font_family":"Roboto","css_table_price_line_height":"25","css_table_price_padding_vertical":"0","css_table_price_padding_horizontal":"0","css_table_quantity_bg_color":"#EFEFEF","css_table_quantity_border_color":"#DDDDDD","css_table_quantity_border_width":"1","css_table_quantity_border_trbl":"top right bottom left","css_table_quantity_border_radius":"0","css_table_quantity_color":"#4D4D4D","css_table_quantity_font_size":"14","css_table_quantity_font_weight":"300","css_table_quantity_font_family":"Roboto","css_table_quantity_line_height":"25","css_table_quantity_quantity_padding_vertical":"0","css_table_quantity_quantity_padding_horizontal":"10","css_table_quantity_width":"27","css_table_quantity_padding_vertical":"0","css_table_quantity_padding_horizontal":"0","css_table_total_color":"#60646C","css_table_total_font_size":"15","css_table_total_font_weight":"300","css_table_total_font_family":"Roboto","css_table_total_line_height":"25","css_table_total_padding_vertical":"0","css_table_total_padding_horizontal":"0","css_table_action_bg_color":"#F3F3F3","css_table_action_border_color":"#DDDDDD","css_table_action_border_width":"1","css_table_action_border_trbl":"top right bottom left","css_table_action_padding_vertical":"10","css_table_action_padding_horizontal":"10","css_action_input_bg_color":"#EFEFEF","css_action_input_border_color":"#DDDDDD","css_action_input_border_width":"1","css_action_input_border_trbl":"top right bottom left","css_action_input_border_radius":"0","css_action_input_color":"#60646C","css_action_input_font_size":"14","css_action_input_font_weight":"300","css_action_input_font_family":"Roboto","css_action_input_line_height":"18","css_action_input_padding_vertical":"6","css_action_input_padding_horizontal":"10","css_action_input_margin_right":"4","css_action_input_width":"30","css_table_action_button_bg_color":"#EF510E","css_table_action_button_bg_hover_color":"#EF510E","css_table_action_button_border_width":"0","css_table_action_button_border_trbl":"top right bottom left","css_table_action_button_border_radius":"0","css_table_action_button_color":"#ffffff","css_table_action_button_font_size":"14","css_table_action_button_font_weight":"400","css_table_action_button_font_family":"Roboto","css_table_action_button_line_height":"18","css_table_action_button_padding_vertical":"7","css_table_action_button_padding_horizontal":"15","css_table_action_button_text_transform":"capitalize","css_cross_sells_general_border_width":"0","css_cross_sells_general_border_trbl":"top right bottom left","css_cross_sells_general_border_radius":"0","css_cross_sells_general_width":"43","css_cross_sells_general_margin_right":"30","css_cross_sells_title_color":"#484C51","css_cross_sells_title_font_size":"24","css_cross_sells_title_font_weight":"400","css_cross_sells_title_font_family":"Roboto","css_cross_sells_title_line_height":"39","css_cross_sells_title_margin_bottom":"10","css_cross_sells_title_padding_vertical":"0","css_cross_sells_title_padding_horizontal":"0","css_cross_sells_title_text_align":"left","css_cross_sells_product_border_width":"0","css_cross_sells_product_border_trbl":"top right bottom left","css_cross_sells_product_border_radius":"0","css_cross_sells_product_padding_vertical":"0","css_cross_sells_product_padding_horizontal":"0","css_cross_sells_product_margin_bottom":"0","css_cross_sells_image_border_width":"0","css_cross_sells_image_border_trbl":"top right bottom left","css_cross_sells_image_border_radius":"0","css_cross_sells_image_margin_bottom":"10","css_cross_sells_image_padding_vertical":"0","css_cross_sells_image_padding_horizontal":"0","css_cross_sells_product_title_color":"#484C51","css_cross_sells_product_title_font_size":"14","css_cross_sells_product_title_font_weight":"400","css_cross_sells_product_title_font_family":"Roboto","css_cross_sells_product_title_line_height":"22","css_cross_sells_product_title_margin_bottom":"5","css_cross_sells_product_title_text_align":"center","css_cross_sells_price_color_one":"#60646C","css_cross_sells_price_color_two":"#60646C","css_cross_sells_price_font_size":"14","css_cross_sells_price_font_weight_one":"400","css_cross_sells_price_font_weight_two":"400","css_cross_sells_price_font_family":"Roboto","css_cross_sells_price_line_height":"24","css_cross_sells_price_margin_bottom":"10","css_cross_sells_price_text_align":"center","css_cross_sells_stars_color":"#96588A","css_cross_sells_stars_font_size":"14","css_cross_sells_stars_line_height":"14","css_cross_sells_stars_margin_bottom":"5","css_cross_sells_button_bg_color":"#EF510E","css_cross_sells_button_hover_bg_color":"#E19879","css_cross_sells_button_border_width":"1","css_cross_sells_button_border_radius":"0","css_cross_sells_button_border_trbl":"top right bottom left","css_cross_sells_button_color":"#ffffff","css_cross_sells_button_form_font_size":"16","css_cross_sells_button_font_weight":"400","css_cross_sells_button_font_family":"Roboto","css_cross_sells_button_line_height":"22","css_cross_sells_button_text_align":"center","css_cross_sells_button_padding_vertical":"7","css_cross_sells_button_padding_horizontal":"15","css_cross_sells_button_margin_bottom":"30","css_cross_sells_sale_bg_color":"#77a464","css_cross_sells_sale_border_color":"#77a464","css_cross_sells_sale_border_width":"1","css_cross_sells_sale_border_radius":"44","css_cross_sells_sale_border_trbl":"top right bottom left","css_cross_sells_sale_form_color":"#ffffff","css_cross_sells_sale_form_font_size":"14","css_cross_sells_sale_form_font_weight":"300","css_cross_sells_sale_font_family":"Roboto","css_cross_sells_sale_line_height":"34","css_cross_sells_sale_text_transform":"uppercase","css_cross_sells_sale_padding_vertical":"10","css_cross_sells_sale_padding_horizontal":"10","css_cross_sells_sale_margin_top":"-6","css_cross_sells_sale_margin_right":"-3","css_cart_totals_border_width":"0","css_cart_totals_border_trbl":"top right bottom left","css_cart_totals_border_radius":"0","css_cart_totals_margin_bottom":"20","css_cart_totals_table_width":"100","css_cart_totals_table_th_width":"35","css_cart_totals__table_td_width":"65","css_cart_totals_title_border_width":"0","css_cart_totals_title_border_trbl":"top right bottom left","css_cart_totals_title_color":"#484C51","css_cart_totals_title_font_size":"24","css_cart_totals_title_font_weight":"400","css_cart_totals_title_font_family":"Roboto","css_cart_totals_title_line_height":"39","css_cart_totals_title_margin_bottom":"10","css_cart_totals_title_padding_vertical":"0","css_cart_totals_title_padding_horizontal":"0","css_cart_totals_title_text_align":"left","css_cart_totals_cart_title_bg_color":"#f8f8f8","css_cart_totals_cart_title_border_width":"0","css_cart_totals_cart_title_border_trbl":"top right bottom left","css_cart_totals_cart_title_color":"#60646C","css_cart_totals_cart_title_font_size":"15","css_cart_totals_cart_title_font_weight":"400","css_cart_totals_cart_title_font_family":"Roboto","css_cart_totals_cart_title_line_height":"20","css_cart_totals_cart_title_text_align":"left","css_cart_totals_cart_title_padding_vertical":"10","css_cart_totals_cart_title_padding_horizontal":"30","css_cart_totals_cart_item_bg_color":"#fdfdfd","css_cart_totals_cart_item_border_width":"0","css_cart_totals_cart_item_border_trbl":"top right bottom left","css_cart_totals_cart_item_color":"#60646C","css_cart_totals_cart_item_font_size":"15","css_cart_totals_cart_item_font_weight":"300","css_cart_totals_cart_item_font_family":"Roboto","css_cart_totals_cart_item_line_height":"25","css_cart_totals_cart_item_padding_vertical":"10","css_cart_totals_cart_item_padding_horizontal":"27","css_cart_shipping_color":"#60646C","css_cart_shipping_link_color":"#000000","css_cart_shipping_link_color_hover":"#000000","css_cart_shipping_font_size":"15","css_cart_shipping_font_weight":"300","css_cart_shipping_link_font_weight":"400","css_cart_shipping_font_family":"Roboto","css_cart_shipping_line_height":"25","css_cart_shipping_padding_vertical":"10","css_cart_shipping_padding_horizontal":"27","css_cart_shipping_select_bg_color":"#FFFFFF","css_cart_shipping_select_font_size":"15","css_cart_shipping_select_font_weight":"300","css_cart_shipping_select_border_color":"#E8E8E8","css_cart_shipping_select_border_width":"1","css_cart_shipping_select_border_trbl":"top right bottom left","css_cart_shipping_select_margin_bottom":"15","css_cart_shipping_input_bg_color":"#EFEFEF","css_cart_shipping_input_font_size":"15","css_cart_shipping_input_font_weight":"300","css_cart_shipping_input_font_family":"Roboto","css_cart_shipping_input_line_height":"24","css_cart_shipping_input_border_color":"#E8E8E8","css_cart_shipping_input_border_width":"1","css_cart_shipping_input_border_radius":"0","css_cart_shipping_input_border_trbl":"top right bottom left","css_cart_shipping_input_margin_bottom":"15","css_cart_shipping_input_padding_vertical":"7","css_cart_shipping_input_padding_horizontal":"15","css_cart_shipping_button_bg_color":"#EF510E","css_cart_shipping_button_hover_bg_color":"#EF510E","css_cart_shipping_button_color":"#FFFFFF","css_cart_shipping_button_font_size":"14","css_cart_shipping_button_font_weight":"400","css_cart_shipping_button_font_family":"Roboto","css_cart_shipping_button_line_height":"24","css_cart_shipping_button_border_color":"#E8E8E8","css_cart_shipping_button_border_width":"1","css_cart_shipping_button_border_radius":"0","css_cart_shipping_button_border_trbl":"top right bottom left","css_cart_shipping_button_padding_vertical":"7","css_cart_shipping_button_padding_horizontal":"15","css_cart_totals_button_bg_color":"#000000","css_cart_totals_button_hover_bg_color":"#000000","css_cart_totals_button_border_color":"#e8e8e8","css_cart_totals_button_border_width":"1","css_cart_totals_button_border_radius":"0","css_cart_totals_button_border_trbl":"top right bottom left","css_cart_totals_button_color":"#FFFFFF","css_cart_totals_button_form_font_size":"20","css_cart_totals_button_font_weight":"400","css_cart_totals_button_line_height":"34","css_cart_totals_button_text_align":"center","css_cart_totals_button_margin_bottom":"0","css_cart_totals_button_width":"100","css_cart_totals_button_padding_vertical":"10","css_cart_totals_button_padding_horizontal":"0","css_cart_totals_button_margin_horizontal":"0","css_cart_empty_color":"#43454b","css_cart_empty_form_font_size":"16","css_cart_empty_font_weight":"400","css_cart_empty_font_family":"Roboto","css_cart_empty_line_height":"18","css_cart_empty_margin_bottom":"10","css_cart_empty_button_bg_color":"#EF510E","css_cart_empty_button_hover_bg_color":"#EF510E","css_cart_empty_button_border_color":"#e8e8e8","css_cart_empty_button_border_width":"1","css_cart_empty_button_border_radius":"0","css_cart_empty_button_border_trbl":"top right bottom left","css_cart_empty_button_color":"#FFFFFF","css_cart_empty_button_form_font_size":"14","css_cart_empty_button_font_weight":"400","css_cart_empty_button_font_family":"Roboto","css_cart_empty_button_line_height":"18","css_cart_empty_button_margin_bottom":"0","css_cart_empty_button_padding_vertical":"7","css_cart_empty_button_padding_horizontal":"15","css_notice_bg_color":"#0f834d","css_notice_border_color":"#0c6f41","css_notice_border_width":"9","css_notice_border_radius":"0","css_notice_border_trbl":"left","css_notice_color":"#ffffff","css_notice_font_size":"16","css_notice_font_weight":"200","css_notice_font_family":"Roboto","css_notice_line_height":"34","css_notice_button_border_width":"0","css_notice_button_border_radius":"0","css_notice_button_border_trbl":"top right bottom left","css_notice_button_color":"#FFFFFF","css_notice_button_form_font_size":"16","css_notice_button_font_weight":"300","css_notice_button_line_height":"20","css_notice_button_font_family":"Roboto","css_notice_button_padding_vertical":"0","css_notice_button_padding_horizontal":"0","css_notice_button_margin_left":"5","css_res_t":"disabled","css_res_t_margin_bottom":"0","css_res_t_padding_vertical":"0","css_res_t_padding_horizontal":"0","css_res_t_table_margin_bottom":"30","css_res_t_table_title_font_size":"14","css_res_t_table_title_line_height":"23","css_res_t_table_button_remove_font_size":"13","css_res_t_table_button_remove_line_height":"14","css_res_t_table_button_remove_padding_vertical":"0","css_res_t_table_button_remove_padding_horizontal":"15","css_res_t_table_button_remove_width":"15","css_res_t_table_button_remove_height":"15","css_res_t_table_image_width":"75","css_res_t_table_td_image_width":"15","css_res_t_table_image_padding_top":"15","css_res_t_table_image_padding_bottom":"7","css_res_t_table_image_padding_horizontal":"15","css_res_t_table_name_font_size":"15","css_res_t_table_name_line_height":"24","css_res_t_table_name_width":"0","css_res_t_table_name_padding_vertical":"0","css_res_t_table_name_padding_horizontal":"0","css_res_t_table_name_variation_dt_font_size":"15","css_res_t_table_name_variation_line_height":"24","css_res_t_table_price_font_size":"15","css_res_t_table_price_line_height":"25","css_res_t_table_price_width":"15","css_res_t_table_price_padding_vertical":"0","css_res_t_table_price_padding_horizontal":"0","css_res_t_table_quantity_font_size":"14","css_res_t_table_quantity_line_height":"25","css_res_t_table_quantity_padding_vertical":"0","css_res_t_table_quantity_padding_horizontal":"10","css_res_t_table_quantity_width":"45","css_res_t_table_quantity_td_width":"18","css_res_t_table_quantity_td_padding_vertical":"0","css_res_t_table_quantity_td_padding_horizontal":"0","css_res_t_table_total_font_size":"15","css_res_t_table_total_line_height":"25","css_res_t_table_total_width":"15","css_res_t_table_total_padding_vertical":"0","css_res_t_table_total_padding_horizontal":"0","css_res_t_table_action_padding_vertical":"10","css_res_t_table_action_padding_horizontal":"10","css_res_t_table_action_input_font_size":"14","css_res_t_table_action_input_line_height":"18","css_res_t_table_action_input_padding_vertical":"7","css_res_t_table_action_input_padding_horizontal":"10","css_res_t_table_action_input_width":"50","css_res_t_table_action_button_font_size":"14","css_res_t_table_action_button_line_height":"18","css_res_t_table_action_button_padding_vertical":"7","css_res_t_table_action_button_padding_horizontal":"15","css_res_t_cross_sells_padding_vertical":"0","css_res_t_cross_sells_padding_horizontal":"0","css_res_t_cross_sells_margin_bottom":"20","css_res_t_cross_sells_title_font_size":"24","css_res_t_cross_sells_title_line_height":"39","css_res_t_cross_sells_title_margin_bottom":"10","css_res_t_cross_sells_title_padding_vertical":"0","css_res_t_cross_sells_title_padding_horizontal":"0","css_res_t_cross_sells_product_padding_vertical":"0","css_res_t_cross_sells_product_padding_horizontal":"0","css_res_t_cross_sells_product_width":"45","css_res_t_cross_sells_product_margin_right":"20","css_res_t_cross_sells_product_margin_bottom":"0","css_res_t_cross_sells_image_padding_vertical":"0","css_res_t_cross_sells_image_padding_horizontal":"0","css_res_t_cross_sells_image_margin_bottom":"10","css_res_t_cross_sells_product_title_font_size":"14","css_res_t_cross_sells_product_title_line_height":"22","css_res_t_cross_sells_product_title_margin_bottom":"1","css_res_t_cross_sells_price_font_size":"14","css_res_t_cross_sells_price_line_height":"24","css_res_t_cross_sells_price_margin_bottom":"10","css_res_t_cross_sells_stars_font_size":"14","css_res_t_cross_sells_stars_line_height":"14","css_res_t_cross_sells_stars_margin_bottom":"5","css_res_t_cross_sells_button_font_size":"15","css_res_t_cross_sells_button_line_height":"22","css_res_t_cross_sells_button_padding_vertical":"7","css_res_t_cross_sells_button_padding_horizontal":"15","css_res_t_cross_sells_sale_font_size":"12","css_res_t_cross_sells_sale_line_height":"24","css_res_t_cross_sells_sale_padding_vertical":"9","css_res_t_cross_sells_sale_padding_horizontal":"6","css_res_t_cross_sells_sale_margin_top":"-6","css_res_t_cross_sells_sale_margin_right":"0","css_res_t_cart_totals_margin_bottom":"20","css_res_t_cart_totals_table_th_width":"35","css_res_t_cart_totals__table_td_width":"65","css_res_t_totals_padding_vertical":"0","css_res_t_totals_padding_horizontal":"0","css_res_t_totals_title_font_size":"24","css_res_t_cart_totals_title_line_height":"39","css_res_t_cart_totals_title_margin_bottom":"10","css_res_t_cart_totals_title_padding_vertical":"0","css_res_t_cart_totals_title_padding_horizontal":"0","css_res_t_cart_totals_cart_title_font_size":"15","css_res_t_cart_totals_cart_title_line_height":"20","css_res_t_cart_totals_cart_title_padding_vertical":"10","css_res_t_cart_totals_cart_title_padding_horizontal":"20","css_res_t_cart_totals_cart_item_font_size":"15","css_res_t_cart_totals_cart_item_line_height":"25","css_res_t_cart_totals_cart_item_padding_vertical":"10","css_res_t_cart_totals_cart_item_padding_horizontal":"15","css_res_t_cart_shipping_font_size":"15","css_res_t_cart_shipping_line_height":"25","css_res_t_cart_shipping_padding_vertical":"10","css_res_t_cart_shipping_padding_horizontal":"27","css_res_t_cart_shipping_select_font_size":"15","css_res_t_cart_shipping_select_margin_bottom":"15","css_res_t_cart_shipping_input_font_size":"15","css_res_t_cart_shipping_input_line_height":"24","css_res_t_cart_shipping_input_margin_bottom":"15","css_res_t_cart_shipping_input_padding_vertical":"7","css_res_t_cart_shipping_input_padding_horizontal":"15","css_res_t_cart_shipping_button_font_size":"14","css_res_t_cart_shipping_button_line_height":"24","css_res_t_cart_shipping_button_padding_vertical":"7","css_res_t_cart_shipping_button_padding_horizontal":"15","css_res_t_cart_totals_button_font_size":"19","css_res_t_cart_totals_button_line_height":"33","css_res_t_cart_totals_button_padding_vertical":"10","css_res_t_cart_empty_font_size":"16","css_res_t_cart_empty_line_height":"18","css_res_t_cart_empty_margin_bottom":"10","css_res_t_cart_empty_button_form_font_size":"14","css_res_t_cart_empty_button_line_height":"18","css_res_t_cart_empty_button_margin_bottom":"0","css_res_t_cart_empty_button_padding_vertical":"7","css_res_t_cart_empty_button_padding_horizontal":"15","css_res_t_notice_font_size":"16","css_res_t_notice_line_height":"34","css_res_t_notice_button_form_font_size":"16","css_res_t_notice_button_line_height":"20","css_res_t_notice_button_padding_vertical":"0","css_res_t_notice_button_padding_horizontal":"0","css_res_t_notice_button_margin_left":"5","css_res_p":"disabled","css_res_p_margin_bottom":"0","css_res_p_padding_vertical":"0","css_res_p_padding_horizontal":"0","css_res_p_table_margin_bottom":"30","css_res_p_table_title_font_size":"14","css_res_p_table_title_line_height":"23","css_res_p_table_button_remove_font_size":"13","css_res_p_table_button_remove_line_height":"14","css_res_p_table_button_remove_padding_vertical":"0","css_res_p_table_button_remove_padding_horizontal":"15","css_res_p_table_button_remove_width":"15","css_res_p_table_button_remove_height":"15","css_res_p_table_image_width":"75","css_res_p_table_td_image_width":"15","css_res_p_table_image_padding_top":"15","css_res_p_table_image_padding_bottom":"7","css_res_p_table_image_padding_horizontal":"15","css_res_p_table_name_font_size":"15","css_res_p_table_name_line_height":"24","css_res_p_table_name_width":"0","css_res_p_table_name_padding_vertical":"10","css_res_p_table_name_padding_horizontal":"0","css_res_p_table_name_variation_dt_font_size":"15","css_res_p_table_name_variation_line_height":"24","css_res_p_table_price_font_size":"15","css_res_p_table_price_line_height":"25","css_res_p_table_price_width":"15","css_res_p_table_price_padding_vertical":"0","css_res_p_table_price_padding_horizontal":"0","css_res_p_table_quantity_font_size":"14","css_res_p_table_quantity_line_height":"25","css_res_p_table_quantity_padding_vertical":"0","css_res_p_table_quantity_padding_horizontal":"10","css_res_p_table_quantity_width":"45","css_res_p_table_quantity_td_width":"18","css_res_p_table_quantity_td_padding_vertical":"0","css_res_p_table_quantity_td_padding_horizontal":"0","css_res_p_table_total_font_size":"15","css_res_p_table_total_line_height":"25","css_res_p_table_total_width":"15","css_res_p_table_total_padding_vertical":"0","css_res_p_table_total_padding_horizontal":"0","css_res_p_table_action_padding_vertical":"10","css_res_p_table_action_padding_horizontal":"10","css_res_p_table_action_input_font_size":"14","css_res_p_table_action_input_line_height":"18","css_res_p_table_action_input_padding_vertical":"7","css_res_p_table_action_input_padding_horizontal":"10","css_res_p_table_action_input_margin_bottom":"10","css_res_p_table_action_input_width":"50","css_res_p_table_action_button_font_size":"14","css_res_p_table_action_button_line_height":"18","css_res_p_table_action_button_padding_vertical":"7","css_res_p_table_action_button_padding_horizontal":"15","css_res_p_table_action_button_margin_bottom":"10","css_res_p_cross_sells_padding_vertical":"0","css_res_p_cross_sells_padding_horizontal":"0","css_res_p_cross_sells_margin_bottom":"0","css_res_p_cross_sells_title_font_size":"24","css_res_p_cross_sells_title_line_height":"39","css_res_p_cross_sells_title_margin_bottom":"10","css_res_p_cross_sells_title_padding_vertical":"0","css_res_p_cross_sells_title_padding_horizontal":"0","css_res_p_cross_sells_product_padding_vertical":"0","css_res_p_cross_sells_product_padding_horizontal":"0","css_res_p_cross_sells_product_width":"40","css_res_p_cross_sells_product_margin_bottom":"40","css_res_p_cross_sells_image_padding_vertical":"0","css_res_p_cross_sells_image_padding_horizontal":"0","css_res_p_cross_sells_product_title_font_size":"14","css_res_p_cross_sells_product_title_line_height":"22","css_res_p_cross_sells_product_title_margin_bottom":"1","css_res_p_cross_sells_price_font_size":"14","css_res_p_cross_sells_price_line_height":"24","css_res_p_cross_sells_price_margin_bottom":"10","css_res_p_cross_sells_stars_font_size":"14","css_res_p_cross_sells_stars_line_height":"14","css_res_p_cross_sells_stars_margin_bottom":"5","css_res_p_cross_sells_button_font_size":"15","css_res_p_cross_sells_button_line_height":"22","css_res_p_cross_sells_button_padding_vertical":"7","css_res_p_cross_sells_button_padding_horizontal":"15","css_res_p_cross_sells_sale_font_size":"12","css_res_p_cross_sells_sale_line_height":"24","css_res_p_cross_sells_sale_padding_vertical":"9","css_res_p_cross_sells_sale_padding_horizontal":"6","css_res_p_cross_sells_sale_margin_top":"-6","css_res_p_cross_sells_sale_margin_right":"-6","css_res_p_cart_totals_margin_bottom":"20","css_res_p_cart_totals_table_th_width":"35","css_res_p_cart_totals__table_td_width":"65","css_res_p_totals_padding_vertical":"0","css_res_p_totals_padding_horizontal":"0","css_res_p_totals_title_font_size":"24","css_res_p_cart_totals_title_line_height":"39","css_res_p_cart_totals_title_margin_bottom":"10","css_res_p_cart_totals_title_padding_vertical":"0","css_res_p_cart_totals_title_padding_horizontal":"0","css_res_p_cart_totals_cart_title_font_size":"15","css_res_p_cart_totals_cart_title_line_height":"20","css_res_p_cart_totals_cart_title_padding_vertical":"10","css_res_p_cart_totals_cart_title_padding_horizontal":"20","css_res_p_cart_totals_cart_item_font_size":"15","css_res_p_cart_totals_cart_item_line_height":"25","css_res_p_cart_totals_cart_item_padding_vertical":"10","css_res_p_cart_totals_cart_item_padding_horizontal":"15","css_res_p_cart_shipping_font_size":"15","css_res_p_cart_shipping_line_height":"25","css_res_p_cart_shipping_padding_vertical":"10","css_res_p_cart_shipping_padding_horizontal":"27","css_res_p_cart_shipping_select_font_size":"15","css_res_p_cart_shipping_select_margin_bottom":"15","css_res_p_cart_shipping_input_font_size":"15","css_res_p_cart_shipping_input_line_height":"24","css_res_p_cart_shipping_input_margin_bottom":"15","css_res_p_cart_shipping_input_padding_vertical":"7","css_res_p_cart_shipping_input_padding_horizontal":"15","css_res_p_cart_shipping_button_font_size":"14","css_res_p_cart_shipping_button_line_height":"24","css_res_p_cart_shipping_button_padding_vertical":"7","css_res_p_cart_shipping_button_padding_horizontal":"15","css_res_p_cart_totals_button_font_size":"19","css_res_p_cart_totals_button_line_height":"33","css_res_p_cart_totals_button_padding_vertical":"10","css_res_p_cart_empty_font_size":"16","css_res_p_cart_empty_line_height":"18","css_res_p_cart_empty_margin_bottom":"10","css_res_p_cart_empty_button_form_font_size":"14","css_res_p_cart_empty_button_line_height":"18","css_res_p_cart_empty_button_margin_bottom":"0","css_res_p_cart_empty_button_padding_vertical":"7","css_res_p_cart_empty_button_padding_horizontal":"15","css_res_p_notice_font_size":"16","css_res_p_notice_line_height":"34","css_res_p_notice_button_form_font_size":"16","css_res_p_notice_button_line_height":"20","css_res_p_notice_button_padding_vertical":"0","css_res_p_notice_button_padding_horizontal":"0","css_res_p_notice_button_margin_left":"5","css_anim":"none","css_anim_delay":"0","css_anim_duration":"650","css_anim_easing":"ease","css_anim_hover":"none","css_anim_speed":"650","css_load_preset":"none","module_instance_id":"45b905ad997","post_id":5,"dslc_m_size":"12","module_id":"LCWoo_Cart","element_type":"module","last":"yes"}]}]}]', true );
