<?php
/**
 * Add design page - Checkout
 *
 * @package Live Composer - WooCommerce integration
 */

// Prevent direct access to the file.
if ( ! defined( 'ABSPATH' ) ) {
	header( 'HTTP/1.0 403 Forbidden' );
	exit;
}

add_post_meta( $woo_checkout_page_id, 'dslc_code', '[{"show_on":"desktop tablet phone","type":"wrapper","columns_spacing":"spacing","bg_color":"","bg_image_thumb":"disabled","dslca-img-url":"","bg_image":"","bg_image_repeat":"repeat","bg_image_position":"left top","bg_image_attachment":"scroll","bg_image_size":"auto","bg_video":"","bg_video_overlay_color":"#000000","bg_video_overlay_opacity":"0","border_color":"","border_width":"0","border_style":"solid","border":"top right bottom left","margin_h":"0","margin_b":"0","padding":"80","padding_h":"0","custom_class":"","custom_id":"","element_type":"row","content":[{"element_type":"module_area","last":"yes","first":"no","size":"12","content":[{"css_show_on":"desktop tablet phone","css_info_bg_color":"#3D9CD2","css_info_border_color":"#3384B2","css_info_border_width":"1","css_info_border_radius":"0","css_info_border_trbl":"top right bottom left","css_info_color":"#ffffff","css_info_font_size":"15","css_info_font_weight":"300","css_info_font_family":"Roboto","css_info_line_height":"24","css_info_link_color":"#ffffff","css_info_link_color_hover":"#c2d3e5","css_info_link_font_weight":"400","css_info_text_border_width":"0","css_info_text_border_radius":"0","css_info_text_border_trbl":"top right bottom left","css_info_text_color":"#60646C","css_info_text_font_size":"15","css_info_text_font_weight":"300","css_info_text_font_family":"Roboto","css_info_text_line_height":"22","css_info_text_link_color":"#60646C","css_info_text_link_hover_color":"#60646C","css_info_text_link_font_weight":"300","css_info_text_margin_bottom":"20","css_info_text_padding_vertical":"0","css_info_text_padding_horizontal":"0","css_info_label_color":"#60646C","css_info_label_required_color":"#FF0000","css_info_label_font_size":"16","css_info_label_font_weight":"400","css_info_label_font_family":"Roboto","css_info_label_line_height":"24","css_info_label_margin_bottom":"0","css_info_input_bg_color":"#EFEFEF","css_info_input_border_width":"0","css_info_input_border_radius":"0","css_info_input_border_trbl":"top right bottom left","css_info_input_color":"#60646C","css_info_input_font_size":"15","css_info_input_font_weight":"300","css_info_input_font_family":"Roboto","css_info_input_line_height":"24","css_info_input_padding_vertical":"10","css_info_input_padding_horizontal":"15","css_info_button_bg_color":"#EF510E","css_info_button_bg_hover_color":"#EF510E","css_info_button_color":"#ffffff","css_info_button_border_width":"0","css_info_button_border_radius":"0","css_info_button_border_trbl":"top right bottom left","css_info_button_font_size":"15","css_info_button_font_weight":"300","css_info_button_font_family":"Roboto","css_info_button_line_height":"18","css_info_button_margin_bottom":"5","css_info_button_padding_vertical":"12","css_info_button_padding_horizontal":"15","css_notice_bg_color":"#E2401C","css_notice_border_color":"#C03718","css_notice_border_width":"1","css_notice_border_radius":"0","css_notice_border_trbl":"top right bottom left","css_notice_color":"#ffffff","css_notice_font_size":"15","css_notice_font_weight":"300","css_notice_font_family":"Roboto","css_notice_line_height":"29","css_form_border_width":"0","css_form_border_radius":"0","css_form_border_trbl":"top right bottom left","css_form_margin_bottom":"40","css_form_padding_vertical":"0","css_form_padding_horizontal":"0","css_form_title_color":"#484C51","css_form_title_font_size":"20","css_form_title_font_weight":"400","css_form_title_font_family":"Roboto","css_form_title_line_height":"28","css_form_title_text_align":"left","css_form_title_margin_bottom":"15","css_form_label_color":"#60646C","css_form_label_required_color":"#FF0000","css_form_label_font_size":"15","css_form_label_font_weight":"400","css_form_label_font_family":"Roboto","css_form_label_line_height":"24","css_form_label_margin_bottom":"0","css_form_input_bg_color":"#EFEFEF","css_form_input_border_color":"#D1D1D1","css_form_input_border_width":"1","css_form_input_border_radius":"0","css_form_input_border_trbl":"top right bottom left","css_form_input_color":"#60646C","css_form_input_font_size":"16","css_form_input_font_weight":"300","css_form_input_font_family":"Roboto","css_form_input_line_height":"15","css_form_input_margin_bottom":"15","css_form_input_padding_vertical":"10","css_form_input_padding_horizontal":"10","css_form_input_min_height":"50","css_form_select_border_color":"#CCCCCC","css_form_select_border_width":"1","css_form_select_border_radius":"4","css_form_select_border_trbl":"top right bottom left","css_form_select_font_size":"15","css_form_select_font_weight":"300","css_form_select_font_family":"Roboto","css_form_select_line_height":"24","css_form_select_margin_bottom":"15","css_form_select_padding_vertical":"0","css_form_select_padding_horizontal":"7","css_form_account_color":"#60646C","css_form_account_font_size":"15","css_form_account_font_weight":"300","css_form_account_font_family":"Roboto","css_form_account_line_height":"22","css_form_account_margin_bottom":"10","css_review_border_color":"#000000","css_review_border_width":"3","css_review_border_radius":"0","css_review_border_trbl":"right bottom left","css_review_margin_bottom":"40","css_review_padding_vertical":"0","css_review_padding_horizontal":"0","css_review_title_border_color":"#000000","css_review_title_border_width":"3","css_review_title_border_radius":"0","css_review_title_border_trbl":"top right left","css_review_title_color":"#484C51","css_review_title_font_size":"20","css_review_title_font_weight":"400","css_review_title_font_family":"Roboto","css_review_title_line_height":"28","css_review_title_text_align":"left","css_review_title_padding_vertical":"15","css_review_title_padding_horizontal":"20","css_review_title_margin_bottom":"0","css_review_shop_table_title_border_color":"#c7c7c7","css_review_shop_table_title_border_width":"2","css_review_shop_table_title_border_trbl":"bottom","css_review_shop_table_title_color":"#60646C","css_review_shop_table_title_font_size":"15","css_review_shop_table_title_font_weight":"400","css_review_shop_table_title_font_family":"Roboto","css_review_shop_table_title_line_height":"21","css_review_shop_table_title_text_transform":"uppercase","css_review_shop_table_title_padding_vertical":"10","css_review_shop_table_title_padding_horizontal":"15","css_review_shop_table_item_bg_color":"rgb(246, 246, 246)","css_review_shop_table_item_border_color":"#c4c4c4","css_review_shop_table_item_border_width":"1","css_review_shop_table_item_border_trbl":"top","css_review_shop_table_item_color":"#60646C","css_review_shop_table_item_font_size":"14","css_review_shop_table_item_font_weight":"300","css_review_shop_table_item_font_family":"Roboto","css_review_shop_table_item_line_height":"24","css_review_shop_table_item_padding_vertical":"8","css_review_shop_table_item_padding_horizontal":"15","css_review_shop_table_variation_dt_color":"#60646C","css_review_shop_table_variation_dd_color":"#60646C","css_review_shop_table_variation_dt_font_size":"15","css_review_shop_table_variation_dd_font_weight":"300","css_review_shop_table_variation_font_weight":"500","css_review_shop_table_variation_font_family":"Roboto","css_review_shop_table_variation_line_height":"24","css_review_shop_table_cart_border_color":"#c4c4c4","css_review_shop_table_cart_border_width":"1","css_review_shop_table_cart_border_trbl":"top","css_review_shop_table_cart_title_font_size":"15","css_review_shop_table_cart_title_font_weight":"300","css_review_shop_table_cart_title_font_family":"Roboto","css_review_shop_table_cart_title_line_height":"24","css_review_shop_table_cart_title_padding_vertical":"9","css_review_shop_table_cart_title_padding_horizontal":"15","css_review_shop_table_cart_margin_bottom":"40","css_review_shop_table_cart_item_font_size":"15","css_review_shop_table_cart_item_font_weight":"300","css_review_shop_table_cart_item_font_family":"Roboto","css_review_shop_table_cart_item_line_height":"24","css_review_shop_table_cart_item_padding_vertical":"9","css_review_shop_table_cart_item_padding_horizontal":"15","css_review_payment_border_color":"rgb(218, 213, 213)","css_review_payment_border_width":"3","css_review_payment_border_radius":"0","css_review_payment_border_trbl":"top","css_review_payment_font_size":"15","css_review_payment_font_weight":"300","css_review_payment_font_family":"Roboto","css_review_payment_line_height":"24","css_review_payment_padding_vertical":"0","css_review_payment_padding_horizontal":"0","css_review_payment_label_bg_color":"#e8e8e8","css_review_payment_label_border_color":"rgb(218, 213, 213)","css_review_payment_label_border_width":"1","css_review_payment_label_border_trbl":"bottom","css_review_payment_label_color":"#60646C","css_review_payment_label_link_color":"#000000","css_review_payment_label_link_hover_color":"#000000","css_review_payment_label_font_size":"15","css_review_payment_label_font_weight":"400","css_review_payment_label_link_font_weight":"500","css_review_payment_label_font_family":"Roboto","css_review_payment_label_line_height":"24","css_review_payment_label_padding_horizontal":"6","css_review_payment_label_paypal_img_height":"20","css_review_payment_label_paypal_img_margin_top":"13","css_review_payment_label_paypal_img_margin_right":"15","css_review_payment_box_bg_color":"#F1F1F1","css_review_payment_box_border_color":"rgb(218, 213, 213)","css_review_payment_box_border_width":"1","css_review_payment_box_border_trbl":"top","css_review_payment_box_color":"#60646C","css_review_payment_box_font_size":"14","css_review_payment_box_font_weight":"300","css_review_payment_box_font_family":"Roboto","css_review_payment_box_line_height":"22","css_review_payment_box_padding_vertical":"15","css_review_payment_box_padding_horizontal":"15","css_review_term_color":"#43454b","css_review_term_link_color":"#000000","css_review_term_link_color_hover":"#b81313","css_review_term_font_size":"15","css_review_term_font_weight":"300","css_review_term_link_font_weight":"400","css_review_term_font_family":"Roboto","css_review_term_line_height":"24","css_review_term_margin_bottom":"5","css_review_place_order_bg_color":"#ebe9eb","css_review_place_order_border_width":"0","css_review_place_order_border_trbl":"top right bottom left","css_review_place_order_padding_vertical":"15","css_review_place_order_padding_horizontal":"15","css_review_place_order_button_bg_color":"#000000","css_review_place_order_button_bg_hover_color":"#000000","css_review_place_order_button_color":"#ffffff","css_review_place_order_button_border_width":"0","css_review_place_order_button_border_radius":"0","css_review_place_order_button_border_trbl":"top right bottom left","css_review_place_order_button_font_size":"15","css_review_place_order_button_font_weight":"300","css_review_place_order_button_font_family":"Roboto","css_review_place_order_button_line_height":"24","css_anim":"none","css_anim_delay":"0","css_anim_duration":"650","css_anim_easing":"ease","css_anim_hover":"none","css_anim_speed":"650","css_load_preset":"none","module_instance_id":"1ecaf33eba9","post_id":6,"dslc_m_size":"12","module_id":"LCWoo_Checkout","element_type":"module","last":"yes"}]}]}]', true );
